Bug 1258166 - Please remove macros.golang from golang
Please remove macros.golang from golang
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: golang (Show other bugs)
rawhide
All Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Vincent Batts
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks: 1258182
  Show dependency treegraph
 
Reported: 2015-08-29 16:23 EDT by Jan Chaloupka
Modified: 2016-01-04 14:53 EST (History)
6 users (show)

See Also:
Fixed In Version: 1.5-8.fc23 golang-1.5.1-0.fc22 golang-1.5.1-1.fc23 golang-1.5.2-2.fc22
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-01-04 14:53:51 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
remove macros.golang for fedora distros (1.15 KB, patch)
2015-09-04 09:11 EDT, Jan Chaloupka
no flags Details | Diff

  None (edit)
Description Jan Chaloupka 2015-08-29 16:23:05 EDT
Description of problem:

Macros from macros.golang (go_arches and gopath) are provided by go-srpm-macros. Macros from go-srpm-macros support secondary architectures as well and provide additional macros.

Please, remove macros.golang from golang for f22 and higher.
Comment 1 Vincent Batts 2015-09-03 10:00:22 EDT
is go-srpm-macros pulled in by redhat-rpm-config ? or should I explicitly depend on it for the build of golang rpm?
Comment 2 Vincent Batts 2015-09-03 10:00:23 EDT
is go-srpm-macros pulled in by redhat-rpm-config ? or should I explicitly depend on it for the build of golang rpm?
Comment 3 Jan Chaloupka 2015-09-03 10:32:04 EDT
It is pulled by redhat-rpm-config. However, it is not a bad idea to make go-srpm-macros a runtime dependency of golang.
Comment 4 Fedora Update System 2015-09-03 12:43:22 EDT
golang-1.5-7.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-15015
Comment 5 Fedora Update System 2015-09-03 12:47:20 EDT
golang-1.5-7.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-15017
Comment 6 Fedora Update System 2015-09-04 03:29:28 EDT
golang-1.5-7.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update golang'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-15017
Comment 7 Fedora Update System 2015-09-04 03:33:33 EDT
golang-1.5-7.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update golang'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-15015
Comment 8 Jan Chaloupka 2015-09-04 09:10:27 EDT
macros.golang file is still provided:

%install
...
# rpm macros
mkdir -p %{buildroot}
%if 0%{?rhel} > 6 || 0%{?fedora} > 0
mkdir -p $RPM_BUILD_ROOT%{_rpmconfigdir}/macros.d
cp -av %{SOURCE102} $RPM_BUILD_ROOT%{_rpmconfigdir}/macros.d/macros.golang
%else
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/rpm
cp -av %{SOURCE102} $RPM_BUILD_ROOT%{_sysconfdir}/rpm/macros.golang
%endif

...

%files
...
%if 0%{?rhel} > 6 || 0%{?fedora} > 0
%{_rpmconfigdir}/macros.d/macros.golang
%else
%{_sysconfdir}/rpm/macros.golang
%endif

Entire file macros.golang should be removed. At the same time it has to be made sure that macros.golang is still provided on RHEL.
Comment 9 Jan Chaloupka 2015-09-04 09:11:17 EDT
Created attachment 1070261 [details]
remove macros.golang for fedora distros
Comment 10 Vincent Batts 2015-09-04 09:43:12 EDT
(In reply to Jan Chaloupka from comment #9)
> Created attachment 1070261 [details]
> remove macros.golang for fedora distros

ah. Let me fix that.
Comment 11 Fedora Update System 2015-09-04 19:20:09 EDT
golang-1.5-8.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update golang'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-15108
Comment 12 Fedora Update System 2015-09-04 19:21:32 EDT
golang-1.5-8.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update golang'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-15109
Comment 13 Fedora Update System 2015-09-07 12:35:13 EDT
golang-1.5-8.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 14 Fedora Update System 2015-09-11 11:31:53 EDT
golang-1.5.1-0.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-15619
Comment 15 Fedora Update System 2015-09-13 00:20:32 EDT
golang-1.5.1-0.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update golang'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-15619
Comment 16 Fedora Update System 2015-10-01 14:50:45 EDT
golang-1.5.1-0.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.
Comment 17 Fedora Update System 2015-10-20 19:24:27 EDT
golang-1.5.1-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-428b9b7b56
Comment 18 Fedora Update System 2015-10-20 19:25:08 EDT
golang-1.5.1-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-88e20b1c9c
Comment 19 Fedora Update System 2015-10-20 19:26:13 EDT
golang-1.5.1-1.fc21 has been submitted as an update to Fedora 21. https://bodhi.fedoraproject.org/updates/FEDORA-2015-34d7f8c20a
Comment 20 Fedora Update System 2015-10-24 08:10:52 EDT
golang-1.5.1-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update golang'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-428b9b7b56
Comment 21 Fedora Update System 2015-10-26 06:28:17 EDT
golang-1.5.1-1.fc21 has been pushed to the Fedora 21 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update golang'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-34d7f8c20a
Comment 22 Fedora Update System 2015-10-26 14:30:39 EDT
golang-1.5.1-1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update golang'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-88e20b1c9c
Comment 23 Fedora Update System 2015-12-04 14:21:17 EST
golang-1.5.1-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 24 Fedora Update System 2015-12-08 12:25:29 EST
golang-1.5.2-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-144abbfdde
Comment 25 Fedora Update System 2015-12-08 18:50:32 EST
golang-1.5.2-1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update golang'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-144abbfdde
Comment 26 Fedora Update System 2015-12-14 09:17:57 EST
golang-1.5.2-2.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-911afa53ac
Comment 27 Fedora Update System 2015-12-22 10:37:26 EST
golang-1.5.2-2.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-911afa53ac
Comment 28 Fedora Update System 2016-01-04 14:53:41 EST
golang-1.5.2-2.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.